Modules can not be started in Porteus 4.0

Non release banter
Post Reply
Kulle
White ninja
White ninja
Posts: 25
Joined: 28 Jan 2017, 10:39
Distribution: v3.1 32bit
Location: Berlin

Modules can not be started in Porteus 4.0

Post#1 by Kulle » 04 Mar 2018, 15:39

Modules can not be started in Porteus 4.0 (64bit Xfce)

1) google-earth-7.1.8.3036-x86_64-2.wread.xzm
Start in terminal:
/usr/bin/google-earth: line 43: ./googleearth-bin: No such file or directory

2) vlc-np_2.2.2_bundle.xzm
Start:
Failed to execute command "/usr/bin/vlc --started-from-file %U".
Failed to execute child process “/usr/bin/vlc” (No such file or directory)
What does "%U" mean?
Start in terminal:
bash: /usr/bin/vlc: No such file or directory

In Porteus 3.2 these modules work!

Many thanks for your help

donald
Full of knowledge
Full of knowledge
Posts: 1355
Joined: 17 Jun 2013, 13:17
Distribution: Porteus 3.2.2 XFCE 32bit
Location: Germany

Modules can not be started in Porteus 4.0

Post#2 by donald » 04 Mar 2018, 16:58

Kulle wrote:
04 Mar 2018, 15:39
Modules can not be started in Porteus 4.0 (64bit Xfce)
vlc-np_2.2.2_bundle.xzm = 32Bit ;)
(mount the module > look into /mnt/loop/var/log/packages/ and you will see
vlc-2.2.2-i486-1alien)

User avatar
Ed_P
Contributor
Contributor
Posts: 3929
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Modules can not be started in Porteus 4.0

Post#3 by Ed_P » 04 Mar 2018, 18:34

Kulle wrote:
04 Mar 2018, 15:39
Modules can not be started in Porteus 4.0 (64bit Xfce)
Not sure what you're doing Kulle, I don't have that problem with any of the packages I use.

Code: Select all

guest@porteus:~$ ls -l /mnt/live/memory/images
total 0
drwxr-xr-x  6 root root  84 Feb 11 12:32 000-kernel.xzm/
drwxrwxrwt 20 root root 293 Feb 11 09:20 001-core.xzm/
drwxr-xr-x 10 root root 131 Feb 11 05:22 002-xorg.xzm/
drwxr-xr-x 11 root root 153 Feb 13 04:44 003-cinnamon.xzm/
drwxr-xr-x  7 root root  94 Jan 21 13:45 007-printing-x86_64-2018-02-23.xzm/
drwxr-xr-x  4 root root  37 Jan 28 18:30 firefox-52.6.0esr-x86_64-1.xzm/
drwxr-xr-x  4 root root  56 Feb  6 08:32 flashplayer-plugin-28.0.0.161-x86_64-1.xzm/
drwxr-xr-x  4 root root  37 Aug 29  2017 gtk-browser-update-20180220.xzm/
drwxr-xr-x  5 root root  64 Jan 17 16:35 jre-8u161-x86_64-1.xzm/
drwxr-xr-x  4 root root  37 Aug  8  2017 mtpaint-3.40-x86_64-2gvEd_P.xzm/
drwxr-xr-x  7 root root  84 Mar  4 01:18 my40changes.xzm/
drwxr-xr-x  4 root root  37 Jan 12  2017 tightvnc-1.3.10-x86_64-1_slonly.xzm/
drwxr-xr-x  4 root root  37 Feb 23 13:47 xmahjongg-3.7-x86_64-don.xzm/
guest@porteus:~$ 
Did you get your modules from 4.0's USM?
Ed

User avatar
wread
Module Guard
Module Guard
Posts: 1157
Joined: 09 Jan 2011, 18:48
Distribution: Porteus v4.0-kde-64 bits
Location: Santo Domingo
Contact:

Modules can not be started in Porteus 4.0

Post#4 by wread » 06 Mar 2018, 20:54

@Kulle
1) google-earth-7.1.8.3036-x86_64-2.wread.xzm
Start in terminal:
/usr/bin/google-earth: line 43: ./googleearth-bin: No such file or directory
I guess you need FreeImage-3.15.0... als dependency.....

Good luck!

P.S. Decryption key is now removed....Sorry!
Last edited by wread on 10 Mar 2018, 00:04, edited 5 times in total.
Porteus is proud of the FASTEST KDE ever made.....(take akonadi, nepomuk and soprano out and you will have a decent OS).
The Porteus Community never sleeps!

Kulle
White ninja
White ninja
Posts: 25
Joined: 28 Jan 2017, 10:39
Distribution: v3.1 32bit
Location: Berlin

Modules can not be started in Porteus 4.0

Post#5 by Kulle » 08 Mar 2018, 12:11

Problem 2) is solved, the module vlc could not start, because a different (!) module was corrupted.
Problem 1) is not solved,
I can't download the module FreeImage-3.15..., because a decryption-key is required.
Many thanks for your help

Jack
Contributor
Contributor
Posts: 1514
Joined: 09 Aug 2013, 14:25
Distribution: Porteus 4.0rc4 My LXDE 64 bit
Location: USA

Modules can not be started in Porteus 4.0

Post#6 by Jack » 08 Mar 2018, 12:33

You have to download then use txz2xzm FreeImage-3.17.0-x86_64-2_slonly.txz to make the module.
https://slackonly.com/pub/packages/14.2 ... slonly.txz
I just like Slackware because I think it teach you about Linux to build packages where Ubuntu is like Windows you just install programs you want.

Kulle
White ninja
White ninja
Posts: 25
Joined: 28 Jan 2017, 10:39
Distribution: v3.1 32bit
Location: Berlin

Modules can not be started in Porteus 4.0

Post#7 by Kulle » 17 Mar 2018, 10:24

The modul FreeImage-3.17...xzm didn't do anything.
The error has remained, persists:
/usr/bin/google-earth: line 43: ./googleearth-bin: No such file or directory

But the module google-earth-7.1.8.3036-x86_64-2.wread.xzm
is not needed!

you just need to enter in to the chrome browser:
https://earth.google.com/web/
that's all.

User avatar
wread
Module Guard
Module Guard
Posts: 1157
Joined: 09 Jan 2011, 18:48
Distribution: Porteus v4.0-kde-64 bits
Location: Santo Domingo
Contact:

Modules can not be started in Porteus 4.0

Post#8 by wread » 17 Mar 2018, 11:11

@Kulle
You are missing for sure other dependencies. Open a console and type:

root@porteus:~# ldd /opt/google/earth/pro/googleearth-bin | grep found

Tell me what you get!

Cheers :)
Porteus is proud of the FASTEST KDE ever made.....(take akonadi, nepomuk and soprano out and you will have a decent OS).
The Porteus Community never sleeps!

Kulle
White ninja
White ninja
Posts: 25
Joined: 28 Jan 2017, 10:39
Distribution: v3.1 32bit
Location: Berlin

Modules can not be started in Porteus 4.0

Post#9 by Kulle » 21 Mar 2018, 08:10

Thanks for the hint.
Here is the answer:
/home/guest# ldd /opt/google/earth/pro/googleearth-bin | grep found
libgstreamer-1.0.so.0 => not found
libgstapp-1.0.so.0 => not found
libgstbase-1.0.so.0 => not found
libgstpbutils-1.0.so.0 => not found
libgstvideo-1.0.so.0 => not found
libgstaudio-1.0.so.0 => not found

Once dependencies occur, it will be very difficult for me.

User avatar
wread
Module Guard
Module Guard
Posts: 1157
Joined: 09 Jan 2011, 18:48
Distribution: Porteus v4.0-kde-64 bits
Location: Santo Domingo
Contact:

Modules can not be started in Porteus 4.0

Post#10 by wread » 22 Mar 2018, 19:41

No problem Kulle, just download this module an that other module....the missing libraries are contained in them :Yahoo!:

Enjoy!
Porteus is proud of the FASTEST KDE ever made.....(take akonadi, nepomuk and soprano out and you will have a decent OS).
The Porteus Community never sleeps!

Post Reply